読者です 読者をやめる 読者になる 読者になる

Windows7 に Ruby の Mechanize をインストールする

簡単に gem install mechanize では

ERROR:  Error installing mechanize:
        The 'unf_ext' native gem requires installed build tools.

というエラーが出た。これは 64bit版 Ruby を使っているせいで、32bit版の Ruby なら、問題は起きないらしい。64bit版では C を使った gem は、自前でコンパイルしないといけないからだとのこと。なので、ここここを参考に解決。これらのサイトを見ればできるが、一応書いておく。

まず、ここで DEVELOPMENT KIT の DevKit-mingw64-64-4.7.2-20130224-1432-sfx.exe をダウンロードして実行。ファイルが展開されるので、そこのフォルダへコマンドプロンプトで移動する。そして、コマンドプロンプトdk.rb initdk.rb install をそれぞれ実行。

そして、Nokogiri という gem が既に入っているなら、今度こそ gem install mechanize でいける筈。Nokogiri が入ってなければ、これをインストールしてから実行して下さい。僕のは既に Nokogiri がインストール済だったので、これで OK でした。